buildscript {
    ext {
        springBootVersion = '1.5.6.RELEASE'
    }
    repositories {
        maven {
            url 'http://maven.ydd100.cn/repository/maven-public/'
        }
    }
    dependencies {
        classpath("org.springframework.boot:spring-boot-gradle-plugin:${springBootVersion}")
    }
}
apply plugin: 'java'
apply plugin: 'org.springframework.boot'

group 'SmartVenue'
version '1.0-SNAPSHOT'

sourceCompatibility = 1.8


repositories {
    maven {url 'http://maven.ydd100.cn/repository/maven-public/'}
    mavenCentral()
}
ext {
    version = '1.0'
    springBootVersion = '1.5.4.RELEASE'
    nettyVersion = '4.1.10.Final'
    junitVersion = "4.11"
    jacksonVersion = "2.5.0"
}


[compileJava, compileTestJava, javadoc]*.options*.encoding = 'UTF-8'

dependencies {
    compile fileTree(include: '*.jar', dir: 'src/libs')
    compile project(':service')

    compile "io.netty:netty-all:${nettyVersion}"
    compile 'mysql:mysql-connector-java:6.0.6'


}
